summaryrefslogtreecommitdiff
path: root/init.d/modules.in
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2011-11-10 21:46:08 -0500
committerMike Frysinger <vapier@gentoo.org>2011-11-19 02:25:36 -0500
commitef1ff1b4f29762d1caf83dc2b65ccfc7cb96e140 (patch)
treef1ebb65eec6eb156a0fba737bcd5386af2a9ebfe /init.d/modules.in
parent0510c473d4cd9097401e3a7bc236b0121977b81d (diff)
downloadopenrc-ef1ff1b4f29762d1caf83dc2b65ccfc7cb96e140.tar.gz
openrc-ef1ff1b4f29762d1caf83dc2b65ccfc7cb96e140.tar.bz2
openrc-ef1ff1b4f29762d1caf83dc2b65ccfc7cb96e140.tar.xz
make shell math operations style more succulent
Convert the style: var=$((${var} + 1)) to: : $(( var += 1 )) The latter is easier to read imo. Signed-off-by: Mike Frysinger <vapier@gentoo.org>
Diffstat (limited to 'init.d/modules.in')
-rw-r--r--init.d/modules.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/init.d/modules.in b/init.d/modules.in
index e673763..72f14e7 100644
--- a/init.d/modules.in
+++ b/init.d/modules.in
@@ -57,7 +57,7 @@ start()
[ -z "$args" ] && eval args=\$module_${aa}_args
[ -z "$args" ] && eval args=\$module_${xx}_args
eval modprobe -q "$mpargs" "$x" "$args"
- eend $? "Failed to load $x" && cnt=$(($cnt + 1))
+ eend $? "Failed to load $x" && : $(( cnt += 1 ))
done
einfo "Autoloaded $cnt module(s)"
}